org.apache.ignite.internal.visor.service

## Class VisorServiceDescriptor

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.service.VisorServiceDescriptor

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorServiceDescriptor
    extends VisorDataTransferObject

Data transfer object for `ServiceDescriptor` object.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorServiceDescriptor()` Default constructor.
`VisorServiceDescriptor(ServiceDescriptor srvc)` Create task result with given parameters

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCacheName()`
`int` `getMaxPerNodeCnt()`
`String` `getName()`
`UUID` `getOriginNodeId()`
`String` `getServiceClass()`
`Map<UUID,Integer>` `getTopologySnapshot()`
`int` `getTotalCnt()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorServiceDescriptor

    public VisorServiceDescriptor()

Default constructor.

#### VisorServiceDescriptor

    public VisorServiceDescriptor(ServiceDescriptor srvc)

Create task result with given parameters

Parameters:
  `srvc` - Service descriptor to transfer.

### Method Detail

#### getName

    public String getName()

Returns:
  Service name.

#### getServiceClass

    public String getServiceClass()

Returns:
  Service class.

#### getTotalCnt

    public int getTotalCnt()

Returns:
  Maximum allowed total number of deployed services in the grid, 0 for unlimited.

#### getMaxPerNodeCnt

    public int getMaxPerNodeCnt()

Returns:
  Maximum allowed number of deployed services on each node.

#### getCacheName

    public String getCacheName()

Returns:
  Cache name used for key-to-node affinity calculation.

#### getOriginNodeId

    public UUID getOriginNodeId()

Returns:
  ID of grid node that initiated the service deployment.

#### getTopologySnapshot

    public Map<UUID,Integer> getTopologySnapshot()

Returns:
  Service deployment topology snapshot. Number of service instances deployed on a node mapped to node ID.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019